Subject: [calsify] IETF Geo specifications

From: Peter Parslow <[email-masked]>
Date: Mon, 22 Sep 2014 13:49:38 +0000

I have just taken an action from the UK government's Data Standards Panel to raise an issue with you. We were meeting to recommend RFC5545 and RFC6350 as the standard mechanism for UK government to provide appointment & address information to citizens. During the discussion, we noticed a discrepancy which will leave implementers with a choice: both IETF recommendations include a way of specifying the geographic location of the item, but they do it differently - and differently again from other IETF documents.

To put it simply, by example:

* iCalendar RFC5545 (3.8.1.6) uses "GEO:37.386013;-122.082932", in degrees north of the equator & 'east of the prime meridian'. But it also allows the location to be specified by reference to a vCard.

* vCard RFC6350 (6.5.2) recommends that its GEO tag uses RFC5870 'geo URI' which allows other CRS but defaults to WGS84, so the same position would appear as " GEO:geo: 37.386013\,-122.082932"

* Both of these are different from the current IETF draft for GeoJSON (https://datatracker.ietf.org/doc/draft-butler-geojson/), which insists on longitude then latitude (like OGC KML).

iCalendar allows using vCard to provide details of the meeting location, but as vCard has been updated since then, this could result in the direct & indirect GEO tags having the same position presented in different ways - the former 'in line', and the latter using RFC5870.

I'm not sure that this necessarily needs tidying up urgently, but I think it would make sense to do so at some future revision.

Yours

Peter

Peter Parslow
Principal Geographic Information Architect
Content & Data Products, Ordnance Survey
Adanac Drive, SOUTHAMPTON, United Kingdom, SO16 0AS
Linked data / map: http://data.ordnancesurvey.co.uk/id/postcodeunit/SO160AS
Phone: +44 23 8005 5341
Mobile: +44 7796 610020
www.ordnancesurvey.co.uk | [email-masked]

Please consider your environmental responsibility before printing this email.

This email is only intended for the person to whom it is addressed and may contain confidential information. If you have received this email in error, please notify the sender and delete this email which must not be copied, distributed or disclosed to any other person.

Unless stated otherwise, the contents of this email are personal to the writer and do not represent the official view of Ordnance Survey. Nor can any contract be formed on Ordnance Survey's behalf via email. We reserve the right to monitor emails and attachments without prior notice.

Thank you for your cooperation.

Ordnance Survey
Adanac Drive
Southampton SO16 0AS
Tel: 03456 050505
http://www.ordnancesurvey.co.uk